/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-16 14:34:43.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service.bean.questionstructure;

import cn.com.qmth.examcloud.commons.web.cloud.api.JsonSerializable;
import cn.com.qmth.examcloud.core.print.entity.ObjectiveQuestionStructure;
import cn.com.qmth.examcloud.core.print.entity.SubjectiveQuestionStructure;

import java.util.ArrayList;
import java.util.List;

/**
 * 试卷的试题结构
 *
 * @author: fengdesheng
 * @since: 2018/11/16
 */
public class PaperQuestionStructureInfo implements JsonSerializable {
    private static final long serialVersionUID = 1L;
    /**
     * 客观题列表
     */
    private List<ObjectiveQuestionStructure> objectives;
    /**
     * 主观题列表
     */
    private List<SubjectiveQuestionStructure> subjectives;

    public void addObjective(ObjectiveQuestionStructure objective) {
        if (objectives == null) {
            objectives = new ArrayList<>();
        }
        objectives.add(objective);
    }

    public void addSubjective(SubjectiveQuestionStructure subjective) {
        if (subjectives == null) {
            subjectives = new ArrayList<>();
        }
        subjectives.add(subjective);
    }

    public List<ObjectiveQuestionStructure> getObjectives() {
        return objectives;
    }

    public void setObjectives(List<ObjectiveQuestionStructure> objectives) {
        this.objectives = objectives;
    }

    public List<SubjectiveQuestionStructure> getSubjectives() {
        return subjectives;
    }

    public void setSubjectives(List<SubjectiveQuestionStructure> subjectives) {
        this.subjectives = subjectives;
    }

}